Bug 161065 - Adopted custom element's callbacks should continue to work
Summary: Adopted custom element's callbacks should continue to work
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks: 154907
  Show dependency treegraph
 
Reported: 2016-08-22 18:27 PDT by Ryosuke Niwa
Modified: 2016-09-01 15:00 PDT (History)
9 users (show)

See Also:


Attachments
Patch (45.71 KB, patch)
2016-08-22 18:42 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Patch for landing (44.67 KB, patch)
2016-08-23 21:25 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fixed GTK+/EFL builds (44.70 KB, patch)
2016-08-23 22:10 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
One more build fix (44.75 KB, patch)
2016-08-23 22:14 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2016-08-22 18:27:04 PDT
When a custom element is adopted into another document,
its callbacks should continue to function.
Comment 1 Ryosuke Niwa 2016-08-22 18:42:26 PDT
Created attachment 286645 [details]
Patch
Comment 2 Ryosuke Niwa 2016-08-23 21:25:54 PDT
Created attachment 286830 [details]
Patch for landing
Comment 3 Ryosuke Niwa 2016-08-23 21:26:25 PDT
Comment on attachment 286830 [details]
Patch for landing

Wait for EWS
Comment 4 Ryosuke Niwa 2016-08-23 22:10:14 PDT
Created attachment 286833 [details]
Fixed GTK+/EFL builds
Comment 5 Ryosuke Niwa 2016-08-23 22:10:31 PDT
Comment on attachment 286833 [details]
Fixed GTK+/EFL builds

Waiting for EWS
Comment 6 Ryosuke Niwa 2016-08-23 22:14:51 PDT
Created attachment 286834 [details]
One more build fix
Comment 7 Ryosuke Niwa 2016-08-26 17:05:54 PDT
Committed r205060: <http://trac.webkit.org/changeset/205060>
Comment 8 Ryosuke Niwa 2016-09-01 15:00:58 PDT
<rdar://problem/28090377>